RC-20010 Fatal: Could not find Info-ZIP version 2.3 in the PATH
                                                 Last update (2012-06-16 14:16:18)
                                                                                                                   Date added (2012-04-18 09:45:30)

Summary
When you run db Tier pre cloning steps at R12 and later
$>db_env
$>cd $ORACLE_HOME/appsutil/scripts/PRODAR_ebs6/
$>perl adpreclone.pl dbTier
RC-20010: Fatal: Could not find Info-ZIP's zip version 2.3 in the PATH. Please make sure you have zip version 2.3 in your PATH and rerun the command.zip 2.3 is normally available in $ORACLE_HOME/bin/ or it can be downloaded from http://www.info-zip.org/Zip.html

The error is due to the fact that Zip Version 3.0 is installed in you $ORACLE_HOME/bin/zip file, where the adpreclone.pl asks for zip 2.3. It is very likely to have zip 2.3 at your Linux system!

First check if indeed you have the zip 2.3
[root@ebs6 bin]# rpm -qa zip
zip-2.31-2.el5
If you have it, rename the zip 3.0 to old, and use the zip 2.3
$mv $ORACLE_HOME/bin/zip $ORACLE_HOME/bin/zip.old
$cp /usr/bin/zip $ORACLE_HOME/bin/zip
$chown oracle:oinstall $ORACLE_HOME/bin/zip
If you don't have the zip 2.3 version, download it and install it in the $ORACLE_HOME/bin directory. After that run $>perl adpreclone.pl dbTier

If you want to use Zip 3 , then install Patch : 9171651 and apply all prerequisites patches.
Reviews
Filters
Search